
# (C) 2001-2017 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and 
# other software and tools, and its AMPP partner logic functions, and 
# any output files any of the foregoing (including device programming 
# or simulation files), and any associated documentation or information 
# are expressly subject to the terms and conditions of the Intel 
# Program License Subscription Agreement, Intel MegaCore Function 
# License Agreement, or other applicable license agreement, including, 
# without limitation, that your use is for the sole purpose of 
# programming logic devices manufactured by Intel and sold by Intel 
# or its authorized distributors. Please refer to the applicable 
# agreement for further details.

# ----------------------------------------
# Auto-generated simulation script msim_setup.tcl
# ----------------------------------------
# This script provides commands to simulate the following IP detected in
# your Quartus project:
#     DUT.DUT
#     APPS.APPS
#     ep_g3x16_ast.ep_g3x16_ast
#     ep_g3x16_ast_tb.ep_g3x16_ast_tb
# 
# Intel recommends that you source this Quartus-generated IP simulation
# script from your own customized top-level script, and avoid editing this
# generated script.
# 
# To write a top-level script that compiles Intel simulation libraries and
# the Quartus-generated IP in your project, along with your design and
# testbench files, copy the text from the TOP-LEVEL TEMPLATE section below
# into a new file, e.g. named "mentor.do", and modify the text as directed.
# 
# ----------------------------------------
# # TOP-LEVEL TEMPLATE - BEGIN
# #
# # QSYS_SIMDIR is used in the Quartus-generated IP simulation script to
# # construct paths to the files required to simulate the IP in your Quartus
# # project. By default, the IP script assumes that you are launching the
# # simulator from the IP script location. If launching from another
# # location, set QSYS_SIMDIR to the output directory you specified when you
# # generated the IP script, relative to the directory from which you launch
# # the simulator.
# #
# set QSYS_SIMDIR <script generation output directory>
# #
# # Source the generated IP simulation script.
# source $QSYS_SIMDIR/mentor/msim_setup.tcl
# #
# # Set any compilation options you require (this is unusual).
# set USER_DEFINED_COMPILE_OPTIONS <compilation options>
# #
# # Call command to compile the Quartus EDA simulation library.
# dev_com
# #
# # Call command to compile the Quartus-generated IP simulation files.
# com
# #
# # Add commands to compile all design files and testbench files, including
# # the top level. (These are all the files required for simulation other
# # than the files compiled by the Quartus-generated IP simulation script)
# #
# vlog <compilation options> <design and testbench files>
# #
# # Set the top-level simulation or testbench module/entity name, which is
# # used by the elab command to elaborate the top level.
# #
# set TOP_LEVEL_NAME <simulation top>
# #
# # Set any elaboration options you require.
# set USER_DEFINED_ELAB_OPTIONS <elaboration options>
# #
# # Call command to elaborate your design and testbench.
# elab
# #
# # Run the simulation.
# run -a
# #
# # Report success to the shell.
# exit -code 0
# #
# # TOP-LEVEL TEMPLATE - END
# ----------------------------------------
# 
# IP SIMULATION SCRIPT
# ----------------------------------------
# ACDS 17.1 8 linux 2017.03.01.00:19:42

# ----------------------------------------
# Initialize variables
if ![info exists SYSTEM_INSTANCE_NAME] { 
  set SYSTEM_INSTANCE_NAME ""
} elseif { ![ string match "" $SYSTEM_INSTANCE_NAME ] } { 
  set SYSTEM_INSTANCE_NAME "/$SYSTEM_INSTANCE_NAME"
}

if ![info exists TOP_LEVEL_NAME] { 
  set TOP_LEVEL_NAME "ep_g3x16_ast_tb.ep_g3x16_ast_tb"
}

if ![info exists QSYS_SIMDIR] { 
  set QSYS_SIMDIR "./../../ep_g3x16_ast_tb/ep_g3x16_ast_tb/sim/"
}

if ![info exists QUARTUS_INSTALL_DIR] { 
  set QUARTUS_INSTALL_DIR ""
}

if ![info exists USER_DEFINED_COMPILE_OPTIONS] { 
  set USER_DEFINED_COMPILE_OPTIONS ""
}
if ![info exists USER_DEFINED_VHDL_COMPILE_OPTIONS] { 
  set USER_DEFINED_VHDL_COMPILE_OPTIONS ""
}
if ![info exists USER_DEFINED_VERILOG_COMPILE_OPTIONS] { 
  set USER_DEFINED_VERILOG_COMPILE_OPTIONS ""
}
if ![info exists USER_DEFINED_ELAB_OPTIONS] { 
  set USER_DEFINED_ELAB_OPTIONS ""
}

# ----------------------------------------
# Initialize simulation properties - DO NOT MODIFY!
set ELAB_OPTIONS ""
set SIM_OPTIONS ""
if ![ string match "*-64 vsim*" [ vsim -version ] ] {
} else {
}

# ----------------------------------------
# Copy ROM/RAM files to simulation directory
alias file_copy {
  echo "\[exec\] file_copy"
}

# ----------------------------------------
# Create compilation libraries
proc ensure_lib { lib } { if ![file isdirectory $lib] { vlib $lib } }
ensure_lib          ./libraries/     
ensure_lib          ./libraries/work/
vmap       work     ./libraries/work/
vmap       work_lib ./libraries/work/
if ![ string match "*ModelSim ALTERA*" [ vsim -version ] ] {
  ensure_lib                    ./libraries/altera_ver/        
  vmap       altera_ver         ./libraries/altera_ver/        
  ensure_lib                    ./libraries/lpm_ver/           
  vmap       lpm_ver            ./libraries/lpm_ver/           
  ensure_lib                    ./libraries/sgate_ver/         
  vmap       sgate_ver          ./libraries/sgate_ver/         
  ensure_lib                    ./libraries/altera_mf_ver/     
  vmap       altera_mf_ver      ./libraries/altera_mf_ver/     
  ensure_lib                    ./libraries/altera_lnsim_ver/  
  vmap       altera_lnsim_ver   ./libraries/altera_lnsim_ver/  
  ensure_lib                    ./libraries/fourteennm_ver/    
  vmap       fourteennm_ver     ./libraries/fourteennm_ver/    
  ensure_lib                    ./libraries/fourteennm_ct1_ver/
  vmap       fourteennm_ct1_ver ./libraries/fourteennm_ct1_ver/
}
ensure_lib                                       ./libraries/altera_common_sv_packages/            
ensure_lib                                       ./libraries/altera_common_sv_packages/            
vmap       altera_common_sv_packages             ./libraries/altera_common_sv_packages/            
ensure_lib                                       ./libraries/altera_xcvr_native_s10_16930/         
vmap       altera_xcvr_native_s10_16930          ./libraries/altera_xcvr_native_s10_16930/         
ensure_lib                                       ./libraries/altera_xcvr_pcie_hip_native_s10_16930/
vmap       altera_xcvr_pcie_hip_native_s10_16930 ./libraries/altera_xcvr_pcie_hip_native_s10_16930/
ensure_lib                                       ./libraries/altera_pcie_s10_hip_ast_16930/        
vmap       altera_pcie_s10_hip_ast_16930         ./libraries/altera_pcie_s10_hip_ast_16930/        
ensure_lib                                       ./libraries/altera_xcvr_fpll_s10_16930/           
vmap       altera_xcvr_fpll_s10_16930            ./libraries/altera_xcvr_fpll_s10_16930/           
ensure_lib                                       ./libraries/altera_xcvr_atx_pll_s10_16930/        
vmap       altera_xcvr_atx_pll_s10_16930         ./libraries/altera_xcvr_atx_pll_s10_16930/        
ensure_lib                                       ./libraries/ep_g3x16_ast_DUT/                     
vmap       ep_g3x16_ast_DUT                      ./libraries/ep_g3x16_ast_DUT/                     
ensure_lib                                       ./libraries/s10_ast2avmm_bridge_256_16930/        
vmap       s10_ast2avmm_bridge_256_16930         ./libraries/s10_ast2avmm_bridge_256_16930/        
ensure_lib                                       ./libraries/ep_g3x16_ast_APPS/                    
vmap       ep_g3x16_ast_APPS                     ./libraries/ep_g3x16_ast_APPS/                    
ensure_lib                                       ./libraries/altera_avalon_onchip_memory2_16930/   
vmap       altera_avalon_onchip_memory2_16930    ./libraries/altera_avalon_onchip_memory2_16930/   
ensure_lib                                       ./libraries/ep_g3x16_ast_MEM/                     
vmap       ep_g3x16_ast_MEM                      ./libraries/ep_g3x16_ast_MEM/                     
ensure_lib                                       ./libraries/altera_merlin_master_translator_16930/
vmap       altera_merlin_master_translator_16930 ./libraries/altera_merlin_master_translator_16930/
ensure_lib                                       ./libraries/altera_merlin_slave_translator_16930/ 
vmap       altera_merlin_slave_translator_16930  ./libraries/altera_merlin_slave_translator_16930/ 
ensure_lib                                       ./libraries/altera_merlin_master_agent_16930/     
vmap       altera_merlin_master_agent_16930      ./libraries/altera_merlin_master_agent_16930/     
ensure_lib                                       ./libraries/altera_merlin_slave_agent_16930/      
vmap       altera_merlin_slave_agent_16930       ./libraries/altera_merlin_slave_agent_16930/      
ensure_lib                                       ./libraries/altera_avalon_sc_fifo_16930/          
vmap       altera_avalon_sc_fifo_16930           ./libraries/altera_avalon_sc_fifo_16930/          
ensure_lib                                       ./libraries/altera_merlin_router_16930/           
vmap       altera_merlin_router_16930            ./libraries/altera_merlin_router_16930/           
ensure_lib                                       ./libraries/altera_merlin_burst_adapter_16930/    
vmap       altera_merlin_burst_adapter_16930     ./libraries/altera_merlin_burst_adapter_16930/    
ensure_lib                                       ./libraries/altera_merlin_demultiplexer_16930/    
vmap       altera_merlin_demultiplexer_16930     ./libraries/altera_merlin_demultiplexer_16930/    
ensure_lib                                       ./libraries/altera_merlin_multiplexer_16930/      
vmap       altera_merlin_multiplexer_16930       ./libraries/altera_merlin_multiplexer_16930/      
ensure_lib                                       ./libraries/error_adapter_16930/                  
vmap       error_adapter_16930                   ./libraries/error_adapter_16930/                  
ensure_lib                                       ./libraries/altera_avalon_st_adapter_16930/       
vmap       altera_avalon_st_adapter_16930        ./libraries/altera_avalon_st_adapter_16930/       
ensure_lib                                       ./libraries/altera_mm_interconnect_16930/         
vmap       altera_mm_interconnect_16930          ./libraries/altera_mm_interconnect_16930/         
ensure_lib                                       ./libraries/altera_irq_mapper_16930/              
vmap       altera_irq_mapper_16930               ./libraries/altera_irq_mapper_16930/              
ensure_lib                                       ./libraries/altera_reset_controller_16930/        
vmap       altera_reset_controller_16930         ./libraries/altera_reset_controller_16930/        
ensure_lib                                       ./libraries/ep_g3x16_ast/                         
vmap       ep_g3x16_ast                          ./libraries/ep_g3x16_ast/                         
ensure_lib                                       ./libraries/altera_pcie_s10_tbed_16930/           
vmap       altera_pcie_s10_tbed_16930            ./libraries/altera_pcie_s10_tbed_16930/           
ensure_lib                                       ./libraries/DUT_pcie_tb_ip/                       
vmap       DUT_pcie_tb_ip                        ./libraries/DUT_pcie_tb_ip/                       
ensure_lib                                       ./libraries/ep_g3x16_ast_tb/                      
vmap       ep_g3x16_ast_tb                       ./libraries/ep_g3x16_ast_tb/                   

# ----------------------------------------
# Compile device library files
alias dev_com {
  echo "\[exec\] dev_com"
  if ![ string match "*ModelSim ALTERA*" [ vsim -version ] ] {
    eval  vlog $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_primitives.v"               -work altera_ver        
    eval  vlog $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/220model.v"                        -work lpm_ver           
    eval  vlog $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/sgate.v"                           -work sgate_ver         
    eval  vlog $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_mf.v"                       -work altera_mf_ver     
    eval  vlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_lnsim.sv"                   -work altera_lnsim_ver  
    eval  vlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/fourteennm_atoms.sv"               -work fourteennm_ver    
    eval  vlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/mentor/fourteennm_atoms_ncrypt.sv" -work fourteennm_ver    
    eval  vlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/ct1_hssi_atoms.sv"                 -work fourteennm_ct1_ver
    eval  vlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/mentor/ct1_hssi_atoms_ncrypt.sv"   -work fourteennm_ct1_ver
    eval  vlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/ct1_hip_atoms.sv"                  -work fourteennm_ct1_ver
    eval  vlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/mentor/ct1_hip_atoms_ncrypt.sv"    -work fourteennm_ct1_ver
  }
}

# ----------------------------------------
# Compile the design files in correct order
alias com {
  echo "\[exec\] com"
# UPDATE DESIGN FILE LIST BELOW THIS LINE
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/altera_xcvr_native_s10_functions_h.sv"                                                                   -work altera_common_sv_packages            
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_arbiter.sv"                                                        -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_arbiter.sv"                                                 -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/altera_std_synchronizer_nocut.v"                                                                         -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_resync_std.sv"                                                     -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_reset_counter_s10.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_reset_counter_s10.sv"                                       -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/s10_avmm_h.sv"                                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_avmm_csr.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_prbs_accum.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_odi_accel.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_arb.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_anlg_reset_seq.sv"                                          -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_dig_reset_seq.sv"                                           -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_reset_seq.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_native_s10_16930_mpmjbyq.sv"                   -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_opt_logic_mpmjbyq.sv"                                  -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_pcie_hip_native_s10_16930_k3gvbny.v"                               -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_arbiter.sv"                                                        -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_arbiter.sv"                                                 -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/altera_std_synchronizer_nocut.v"                                                                         -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_resync_std.sv"                                                     -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_reset_counter_s10.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_reset_counter_s10.sv"                                       -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/s10_avmm_h.sv"                                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_avmm_csr.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_prbs_accum.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_odi_accel.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_arb.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_anlg_reset_seq.sv"                                          -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_dig_reset_seq.sv"                                           -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_reset_seq.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_native_s10_16930_ambg54a.sv"                   -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_opt_logic_ambg54a.sv"                                  -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_pcie_hip_native_s10_16930_cayi26y.v"                               -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_arbiter.sv"                                                        -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_arbiter.sv"                                                 -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/altera_std_synchronizer_nocut.v"                                                                         -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_resync_std.sv"                                                     -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_reset_counter_s10.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_reset_counter_s10.sv"                                       -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/s10_avmm_h.sv"                                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_avmm_csr.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_prbs_accum.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_odi_accel.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_arb.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_anlg_reset_seq.sv"                                          -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_dig_reset_seq.sv"                                           -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_reset_seq.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_native_s10_16930_5pcqefq.sv"                   -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_opt_logic_5pcqefq.sv"                                  -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_pcie_hip_native_s10_16930_6j45hci.v"                               -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_arbiter.sv"                                                        -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_arbiter.sv"                                                 -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/altera_std_synchronizer_nocut.v"                                                                         -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_resync_std.sv"                                                     -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_reset_counter_s10.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_reset_counter_s10.sv"                                       -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/s10_avmm_h.sv"                                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_avmm_csr.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_prbs_accum.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_odi_accel.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_arb.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_anlg_reset_seq.sv"                                          -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_dig_reset_seq.sv"                                           -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_reset_seq.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_native_s10_16930_a5f3rfi.sv"                   -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_opt_logic_a5f3rfi.sv"                                  -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_pcie_hip_native_s10_16930_fppikuq.v"                               -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_arbiter.sv"                                                        -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_arbiter.sv"                                                 -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/altera_std_synchronizer_nocut.v"                                                                         -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_resync_std.sv"                                                     -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_reset_counter_s10.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_reset_counter_s10.sv"                                       -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/s10_avmm_h.sv"                                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_avmm_csr.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_prbs_accum.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_odi_accel.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_arb.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_anlg_reset_seq.sv"                                          -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_dig_reset_seq.sv"                                           -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_reset_seq.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_native_s10_16930_l2exc2i.sv"                   -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_opt_logic_l2exc2i.sv"                                  -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_pcie_hip_native_s10_16930_5tdrhmy.v"                               -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_arbiter.sv"                                                        -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_arbiter.sv"                                                 -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/altera_std_synchronizer_nocut.v"                                                                         -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_resync_std.sv"                                                     -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_reset_counter_s10.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_reset_counter_s10.sv"                                       -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/s10_avmm_h.sv"                                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_avmm_csr.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_prbs_accum.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_odi_accel.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_arb.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_anlg_reset_seq.sv"                                          -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_dig_reset_seq.sv"                                           -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_reset_seq.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_native_s10_16930_xskkksi.sv"                   -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_opt_logic_xskkksi.sv"                                  -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_pcie_hip_native_s10_16930_m4lfknq.v"                               -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_arbiter.sv"                                                        -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_arbiter.sv"                                                 -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/altera_std_synchronizer_nocut.v"                                                                         -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_resync_std.sv"                                                     -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_reset_counter_s10.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_reset_counter_s10.sv"                                       -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/s10_avmm_h.sv"                                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_avmm_csr.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_prbs_accum.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_odi_accel.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_arb.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_anlg_reset_seq.sv"                                          -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_dig_reset_seq.sv"                                           -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_reset_seq.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_native_s10_16930_n44qxba.sv"                   -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_opt_logic_n44qxba.sv"                                  -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_pcie_hip_native_s10_16930_iazsgai.v"                               -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_arbiter.sv"                                                        -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_arbiter.sv"                                                 -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/altera_std_synchronizer_nocut.v"                                                                         -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_resync_std.sv"                                                     -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_reset_counter_s10.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_reset_counter_s10.sv"                                       -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/s10_avmm_h.sv"                                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_avmm_csr.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_prbs_accum.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_odi_accel.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_arb.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_anlg_reset_seq.sv"                                          -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_dig_reset_seq.sv"                                           -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_reset_seq.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_native_s10_16930_pt3bm2i.sv"                   -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_opt_logic_pt3bm2i.sv"                                  -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_pcie_hip_native_s10_16930_fvpoxei.v"                               -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_arbiter.sv"                                                        -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_arbiter.sv"                                                 -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/altera_std_synchronizer_nocut.v"                                                                         -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_resync_std.sv"                                                     -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_reset_counter_s10.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_reset_counter_s10.sv"                                       -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/s10_avmm_h.sv"                                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_avmm_csr.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_prbs_accum.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_odi_accel.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_arb.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_anlg_reset_seq.sv"                                          -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_dig_reset_seq.sv"                                           -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_reset_seq.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_native_s10_16930_ches7iy.sv"                   -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_opt_logic_ches7iy.sv"                                  -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_pcie_hip_native_s10_16930_qfqiyaa.v"                               -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_arbiter.sv"                                                        -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_arbiter.sv"                                                 -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/altera_std_synchronizer_nocut.v"                                                                         -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_resync_std.sv"                                                     -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_reset_counter_s10.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_reset_counter_s10.sv"                                       -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/s10_avmm_h.sv"                                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_avmm_csr.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_prbs_accum.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_odi_accel.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_arb.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_anlg_reset_seq.sv"                                          -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_dig_reset_seq.sv"                                           -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_reset_seq.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_native_s10_16930_howzrei.sv"                   -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_opt_logic_howzrei.sv"                                  -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_pcie_hip_native_s10_16930_ytwb4iy.v"                               -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_arbiter.sv"                                                        -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_arbiter.sv"                                                 -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/altera_std_synchronizer_nocut.v"                                                                         -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_resync_std.sv"                                                     -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_reset_counter_s10.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_reset_counter_s10.sv"                                       -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/s10_avmm_h.sv"                                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_avmm_csr.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_prbs_accum.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_odi_accel.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_arb.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_anlg_reset_seq.sv"                                          -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_dig_reset_seq.sv"                                           -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_reset_seq.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_native_s10_16930_kqjmjfa.sv"                   -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_opt_logic_kqjmjfa.sv"                                  -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_pcie_hip_native_s10_16930_pbni6ia.v"                               -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_arbiter.sv"                                                        -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_arbiter.sv"                                                 -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/altera_std_synchronizer_nocut.v"                                                                         -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_resync_std.sv"                                                     -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_reset_counter_s10.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_reset_counter_s10.sv"                                       -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/s10_avmm_h.sv"                                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_avmm_csr.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_prbs_accum.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_odi_accel.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_arb.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_anlg_reset_seq.sv"                                          -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_dig_reset_seq.sv"                                           -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_reset_seq.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_native_s10_16930_6wv4yhi.sv"                   -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_opt_logic_6wv4yhi.sv"                                  -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_pcie_hip_native_s10_16930_54rbina.v"                               -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_arbiter.sv"                                                        -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_arbiter.sv"                                                 -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/altera_std_synchronizer_nocut.v"                                                                         -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_resync_std.sv"                                                     -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_reset_counter_s10.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_reset_counter_s10.sv"                                       -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/s10_avmm_h.sv"                                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_avmm_csr.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_prbs_accum.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_odi_accel.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_arb.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_anlg_reset_seq.sv"                                          -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_dig_reset_seq.sv"                                           -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_reset_seq.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_native_s10_16930_3mwifcy.sv"                   -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_opt_logic_3mwifcy.sv"                                  -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_pcie_hip_native_s10_16930_7yeb32y.v"                               -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_arbiter.sv"                                                        -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_arbiter.sv"                                                 -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/altera_std_synchronizer_nocut.v"                                                                         -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_resync_std.sv"                                                     -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_reset_counter_s10.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_reset_counter_s10.sv"                                       -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/s10_avmm_h.sv"                                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_avmm_csr.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_prbs_accum.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_odi_accel.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_arb.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_anlg_reset_seq.sv"                                          -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_dig_reset_seq.sv"                                           -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_reset_seq.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_native_s10_16930_k7mltzi.sv"                   -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_opt_logic_k7mltzi.sv"                                  -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_pcie_hip_native_s10_16930_s6yzz6a.v"                               -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_arbiter.sv"                                                        -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_arbiter.sv"                                                 -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/altera_std_synchronizer_nocut.v"                                                                         -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_resync_std.sv"                                                     -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_reset_counter_s10.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_reset_counter_s10.sv"                                       -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/s10_avmm_h.sv"                                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_avmm_csr.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_prbs_accum.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_odi_accel.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_arb.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_anlg_reset_seq.sv"                                          -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_dig_reset_seq.sv"                                           -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_reset_seq.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_native_s10_16930_mv4v2si.sv"                   -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_opt_logic_mv4v2si.sv"                                  -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_pcie_hip_native_s10_16930_2c7sa2q.v"                               -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_arbiter.sv"                                                        -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_arbiter.sv"                                                 -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/altera_std_synchronizer_nocut.v"                                                                         -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_resync_std.sv"                                                     -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_reset_counter_s10.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/mentor/alt_xcvr_reset_counter_s10.sv"                                       -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/s10_avmm_h.sv"                                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_avmm_csr.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_prbs_accum.sv"                                              -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_odi_accel.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_arb.sv"                                                -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_anlg_reset_seq.sv"                                          -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_dig_reset_seq.sv"                                           -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_reset_seq.sv"                                               -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_native_s10_16930_wneg3vq.sv"                   -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_native_s10_16930/sim/alt_xcvr_native_rcfg_opt_logic_wneg3vq.sv"                                  -L altera_common_sv_packages -work altera_xcvr_native_s10_16930         
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_pcie_hip_native_s10_16930_dm7datq.v"                               -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_pcie_hip_native_s10_16930_7bu6f4i.sv" -L altera_common_sv_packages -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/altera_xcvr_native_s10_functions_h.sv"                             -L altera_common_sv_packages -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/alt_xcvr_native_dig_reset_seq.sv"                                  -L altera_common_sv_packages -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_pcie_hip_native_s10_16930/sim/alt_xcvr_resync_std.sv"                                            -L altera_common_sv_packages -work altera_xcvr_pcie_hip_native_s10_16930
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_pcie_s10_hip_ast_16930/sim/phy_g3x16.v"                                                                                            -work altera_pcie_s10_hip_ast_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_fpll_s10_16930/sim/altera_std_synchronizer_nocut.v"                                                                           -work altera_xcvr_fpll_s10_16930           
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_fpll_s10_16930/sim/s10_avmm_h.sv"                                                                -L altera_common_sv_packages -work altera_xcvr_fpll_s10_16930           
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_fpll_s10_16930/sim/alt_xcvr_native_anlg_reset_seq.sv"                                            -L altera_common_sv_packages -work altera_xcvr_fpll_s10_16930           
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_fpll_s10_16930/sim/alt_xcvr_pll_rcfg_arb.sv"                                                     -L altera_common_sv_packages -work altera_xcvr_fpll_s10_16930           
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_fpll_s10_16930/sim/alt_xcvr_pll_embedded_debug.sv"                                               -L altera_common_sv_packages -work altera_xcvr_fpll_s10_16930           
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_fpll_s10_16930/sim/alt_xcvr_pll_avmm_csr.sv"                                                     -L altera_common_sv_packages -work altera_xcvr_fpll_s10_16930           
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_fpll_s10_16930/sim/alt_xcvr_resync.sv"                                                           -L altera_common_sv_packages -work altera_xcvr_fpll_s10_16930           
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_fpll_s10_16930/sim/alt_xcvr_arbiter.sv"                                                          -L altera_common_sv_packages -work altera_xcvr_fpll_s10_16930           
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_fpll_s10_16930/sim/mentor/alt_xcvr_resync.sv"                                                    -L altera_common_sv_packages -work altera_xcvr_fpll_s10_16930           
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_fpll_s10_16930/sim/mentor/alt_xcvr_arbiter.sv"                                                   -L altera_common_sv_packages -work altera_xcvr_fpll_s10_16930           
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_fpll_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_fpll_s10_16930_p4xkpaa.sv"                       -L altera_common_sv_packages -work altera_xcvr_fpll_s10_16930           
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_fpll_s10_16930/sim/alt_xcvr_pll_rcfg_opt_logic_p4xkpaa.sv"                                       -L altera_common_sv_packages -work altera_xcvr_fpll_s10_16930           
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_pcie_s10_hip_ast_16930/sim/fpll_g3.v"                                                                                              -work altera_pcie_s10_hip_ast_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_atx_pll_s10_16930/sim/altera_std_synchronizer_nocut.v"                                                                        -work altera_xcvr_atx_pll_s10_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_atx_pll_s10_16930/sim/alt_xcvr_resync.sv"                                                        -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_atx_pll_s10_16930/sim/alt_xcvr_arbiter.sv"                                                       -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_atx_pll_s10_16930/sim/mentor/alt_xcvr_resync.sv"                                                 -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_atx_pll_s10_16930/sim/mentor/alt_xcvr_arbiter.sv"                                                -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_atx_pll_s10_16930/sim/s10_avmm_h.sv"                                                             -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_atx_pll_s10_16930/sim/alt_xcvr_native_anlg_reset_seq.sv"                                         -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_atx_pll_s10_16930/sim/alt_xcvr_pll_rcfg_arb.sv"                                                  -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_atx_pll_s10_16930/sim/alt_xcvr_pll_embedded_debug.sv"                                            -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_atx_pll_s10_16930/sim/alt_xcvr_pll_avmm_csr.sv"                                                  -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_atx_pll_s10_16930/sim/ep_g3x16_ast_DUT_altera_xcvr_atx_pll_s10_16930_7q3lx5y.sv"                 -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_xcvr_atx_pll_s10_16930/sim/alt_xcvr_pll_rcfg_opt_logic_7q3lx5y.sv"                                    -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_pcie_s10_hip_ast_16930/sim/lcpll_g3xn.v"                                                                                           -work altera_pcie_s10_hip_ast_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_pcie_s10_hip_ast_16930/sim/altera_pcie_s10_hip_ast.v"                                                                              -work altera_pcie_s10_hip_ast_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_pcie_s10_hip_ast_16930/sim/altera_pcie_s10_hip_ast_pipen1b.v"                                                                      -work altera_pcie_s10_hip_ast_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_pcie_s10_hip_ast_16930/sim/altera_pcie_s10_hip_ast_pllnphy.v"                                                                      -work altera_pcie_s10_hip_ast_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_pcie_s10_hip_ast_16930/sim/altera_pcie_s10_reset_delay_sync.v"                                                                     -work altera_pcie_s10_hip_ast_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_pcie_s10_hip_ast_16930/sim/altera_pcie_s10_sc_bitsync.v"                                                                           -work altera_pcie_s10_hip_ast_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/altera_pcie_s10_hip_ast_16930/sim/altera_std_synchronizer_nocut.v"                                                                        -work altera_pcie_s10_hip_ast_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_DUT/sim/ep_g3x16_ast_DUT.v"                                                                                                                   -work ep_g3x16_ast_DUT                     
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpcierd_hip_rs.v"                                                                                    -work s10_ast2avmm_bridge_256_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpcieav_256_rp_app.sv"                                                                               -work s10_ast2avmm_bridge_256_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpcieav_256_rp_hip_interface.sv"                                                                     -work s10_ast2avmm_bridge_256_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpcieav_256_rp_txs.sv"                                                                               -work s10_ast2avmm_bridge_256_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpcieav_256_rp_arbiter.sv"                                                                           -work s10_ast2avmm_bridge_256_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpcie_256_rp_fifo.v"                                                                                 -work s10_ast2avmm_bridge_256_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpcieav_256_rp_rxm_rdwr.sv"                                                                          -work s10_ast2avmm_bridge_256_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpcieav_256_rp_rxm_cpl.sv"                                                                           -work s10_ast2avmm_bridge_256_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpcieav_256_rp_rxm_txctrl.sv"                                                                        -work s10_ast2avmm_bridge_256_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpcieav_256_rp_rxm.sv"                                                                               -work s10_ast2avmm_bridge_256_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpcie_256_rp_cr.v"                                                                                   -work s10_ast2avmm_bridge_256_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpcie_256_control_register.v"                                                                        -work s10_ast2avmm_bridge_256_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpcieav_256_data_qwalign_bridge_hwtcl.sv"                                                            -work s10_ast2avmm_bridge_256_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpcieav_256_data_qwalign_bridge_rx.sv"                                                               -work s10_ast2avmm_bridge_256_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpcieav_256_data_qwalign_bridge_tx.sv"                                                               -work s10_ast2avmm_bridge_256_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altera_pcie_s10_ast_mem.sv"                                                                            -work s10_ast2avmm_bridge_256_16930        
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/ast2avmm_bridge_256_hwtcl.sv"                                                                          -work s10_ast2avmm_bridge_256_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpciexpav128_clksync.v"                                                                              -work s10_ast2avmm_bridge_256_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpciexpav128_cr_avalon.v"                                                                            -work s10_ast2avmm_bridge_256_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpciexpav128_cr_interrupt.v"                                                                         -work s10_ast2avmm_bridge_256_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpciexpav128_cfg_status.v"                                                                           -work s10_ast2avmm_bridge_256_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/s10_ast2avmm_bridge_256_16930/sim/altpciexpav128_cr_mailbox.v"                                                                           -work s10_ast2avmm_bridge_256_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_APPS/sim/ep_g3x16_ast_APPS.v"                                                                                                                 -work ep_g3x16_ast_APPS                    
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_MEM/altera_avalon_onchip_memory2_16930/sim/ep_g3x16_ast_MEM_altera_avalon_onchip_memory2_16930_rw44mvi.v"                                     -work altera_avalon_onchip_memory2_16930   
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ip/ep_g3x16_ast/ep_g3x16_ast_MEM/sim/ep_g3x16_ast_MEM.v"                                                                                                                   -work ep_g3x16_ast_MEM                     
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_master_translator_16930/sim/altera_merlin_master_translator.sv"                                                                                 -work altera_merlin_master_translator_16930
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_slave_translator_16930/sim/altera_merlin_slave_translator.sv"                                                                                   -work altera_merlin_slave_translator_16930 
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_master_agent_16930/sim/altera_merlin_master_agent.sv"                                                                                           -work altera_merlin_master_agent_16930     
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_slave_agent_16930/sim/altera_merlin_slave_agent.sv"                                                                                             -work altera_merlin_slave_agent_16930      
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_slave_agent_16930/sim/altera_merlin_burst_uncompressor.sv"                                                                                      -work altera_merlin_slave_agent_16930      
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_avalon_sc_fifo_16930/sim/altera_avalon_sc_fifo.v"                                                                                                      -work altera_avalon_sc_fifo_16930          
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_router_16930/sim/ep_g3x16_ast_altera_merlin_router_16930_35z3ptq.sv"                                                                            -work altera_merlin_router_16930           
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_router_16930/sim/ep_g3x16_ast_altera_merlin_router_16930_gmqfbcy.sv"                                                                            -work altera_merlin_router_16930           
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_burst_adapter_16930/sim/altera_merlin_burst_adapter.sv"                                                                                         -work altera_merlin_burst_adapter_16930    
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_burst_adapter_16930/sim/altera_merlin_burst_adapter_uncmpr.sv"                                                                                  -work altera_merlin_burst_adapter_16930    
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_burst_adapter_16930/sim/altera_merlin_burst_adapter_13_1.sv"                                                                                    -work altera_merlin_burst_adapter_16930    
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_burst_adapter_16930/sim/altera_merlin_burst_adapter_new.sv"                                                                                     -work altera_merlin_burst_adapter_16930    
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_burst_adapter_16930/sim/altera_incr_burst_converter.sv"                                                                                         -work altera_merlin_burst_adapter_16930    
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_burst_adapter_16930/sim/altera_wrap_burst_converter.sv"                                                                                         -work altera_merlin_burst_adapter_16930    
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_burst_adapter_16930/sim/altera_default_burst_converter.sv"                                                                                      -work altera_merlin_burst_adapter_16930    
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_burst_adapter_16930/sim/altera_merlin_address_alignment.sv"                                                                                     -work altera_merlin_burst_adapter_16930    
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_burst_adapter_16930/sim/altera_avalon_st_pipeline_stage.sv"                                                                                     -work altera_merlin_burst_adapter_16930    
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_burst_adapter_16930/sim/altera_avalon_st_pipeline_base.v"                                                                                       -work altera_merlin_burst_adapter_16930    
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_demultiplexer_16930/sim/ep_g3x16_ast_altera_merlin_demultiplexer_16930_pfmgxqq.sv"                                                              -work altera_merlin_demultiplexer_16930    
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_multiplexer_16930/sim/ep_g3x16_ast_altera_merlin_multiplexer_16930_3mmayxy.sv"                                                                  -work altera_merlin_multiplexer_16930      
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_multiplexer_16930/sim/altera_merlin_arbitrator.sv"                                                                                              -work altera_merlin_multiplexer_16930      
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_multiplexer_16930/sim/ep_g3x16_ast_altera_merlin_multiplexer_16930_g7nxxvy.sv"                                                                  -work altera_merlin_multiplexer_16930      
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_merlin_multiplexer_16930/sim/altera_merlin_arbitrator.sv"                                                                                              -work altera_merlin_multiplexer_16930      
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/error_adapter_16930/sim/ep_g3x16_ast_error_adapter_16930_vjeft7y.sv"                                                                                          -work error_adapter_16930                  
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_avalon_st_adapter_16930/sim/ep_g3x16_ast_altera_avalon_st_adapter_16930_rrz67hq.v"                                                                     -work altera_avalon_st_adapter_16930       
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_mm_interconnect_16930/sim/ep_g3x16_ast_altera_mm_interconnect_16930_fkfcuca.v"                                                                         -work altera_mm_interconnect_16930         
  eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                  "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_irq_mapper_16930/sim/ep_g3x16_ast_altera_irq_mapper_16930_btd7diy.sv"                                                                                  -work altera_irq_mapper_16930              
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_reset_controller_16930/sim/altera_reset_controller.v"                                                                                                  -work altera_reset_controller_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ep_g3x16_ast/altera_reset_controller_16930/sim/altera_reset_synchronizer.v"                                                                                                -work altera_reset_controller_16930        
  eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS                                                                                                      "$QSYS_SIMDIR/../../../ep_g3x16_ast/sim/ep_g3x16_ast.v"                          
# UPDATE DESIGN FILE LIST ABOVE THIS LINE
}

# ----------------------------------------
# Elaborate top level design
alias elab {
  echo "\[exec\] elab"
  eval vsim -t ps $ELAB_OPTIONS $USER_DEFINED_ELAB_OPTIONS -L work -L work_lib -L altera_common_sv_packages -L altera_xcvr_native_s10_htile_16930 -L altera_xcvr_pcie_hip_native_s10_16930 -L altera_pcie_s10_hip_ast_16930 -L altera_xcvr_fpll_s10_htile_16930 -L altera_xcvr_atx_pll_s10_htile_16930 -L DUT -L s10_ast2avmm_bridge_gen3x16_100999897 -L APPS -L altera_reset_controller_16930 -L ep_g3x16_ast -L altera_pcie_s10_tbed_16930 -L DUT_pcie_tb_ip -L ep_g3x16_ast_tb -L altera_ver -L lpm_ver -L sgate_ver -L altera_mf_ver -L altera_lnsim_ver -L fourteennm_ver -L fourteennm_ct1_ver $TOP_LEVEL_NAME
}

# ----------------------------------------
# Elaborate the top level design with novopt option
alias elab_debug {
  echo "\[exec\] elab_debug"
  eval vsim -novopt $ELAB_OPTIONS $USER_DEFINED_ELAB_OPTIONS -L work -L work_lib -L altera_common_sv_packages -L altera_xcvr_native_s10_16930 -L altera_xcvr_pcie_hip_native_s10_16930 -L altera_pcie_s10_hip_ast_16930 -L altera_xcvr_fpll_s10_16930 -L altera_xcvr_atx_pll_s10_16930 -L ep_g3x16_ast_DUT -L s10_ast2avmm_bridge_256_16930 -L ep_g3x16_ast_APPS -L altera_avalon_onchip_memory2_16930 -L ep_g3x16_ast_MEM -L altera_merlin_master_translator_16930 -L altera_merlin_slave_translator_16930 -L altera_merlin_master_agent_16930 -L altera_merlin_slave_agent_16930 -L altera_avalon_sc_fifo_16930 -L altera_merlin_router_16930 -L altera_merlin_burst_adapter_16930 -L altera_merlin_demultiplexer_16930 -L altera_merlin_multiplexer_16930 -L error_adapter_16930 -L altera_avalon_st_adapter_16930 -L altera_mm_interconnect_16930 -L altera_irq_mapper_16930 -L altera_reset_controller_16930 -L ep_g3x16_ast -L altera_pcie_s10_tbed_16930 -L DUT_pcie_tb_ip -L ep_g3x16_ast_tb -L altera_ver -L lpm_ver -L sgate_ver -L altera_mf_ver -L altera_lnsim_ver -L fourteennm_ver -L fourteennm_ct1_ver -L avery $TOP_LEVEL_NAME
}

# ----------------------------------------
# Compile all the design files and elaborate the top level design
alias ld "
  dev_com
  com
  elab
"

# ----------------------------------------
# Compile all the design files and elaborate the top level design with -novopt
alias ld_debug "
  dev_com
  com
  elab_debug
"

# ----------------------------------------
# Print out user commmand line aliases
alias h {
  echo "List Of Command Line Aliases"
  echo
  echo "file_copy                     -- Copy ROM/RAM files to simulation directory"
  echo
  echo "dev_com                       -- Compile device library files"
  echo
  echo "com                           -- Compile the design files in correct order"
  echo
  echo "elab                          -- Elaborate top level design"
  echo
  echo "elab_debug                    -- Elaborate the top level design with novopt option"
  echo
  echo "ld                            -- Compile all the design files and elaborate the top level design"
  echo
  echo "ld_debug                      -- Compile all the design files and elaborate the top level design with -novopt"
  echo
  echo 
  echo
  echo "List Of Variables"
  echo
  echo "TOP_LEVEL_NAME                -- Top level module name."
  echo "                                 For most designs, this should be overridden"
  echo "                                 to enable the elab/elab_debug aliases."
  echo
  echo "SYSTEM_INSTANCE_NAME          -- Instantiated system module name inside top level module."
  echo
  echo "QSYS_SIMDIR                   -- Qsys base simulation directory."
  echo
  echo "QUARTUS_INSTALL_DIR           -- Quartus installation directory."
  echo
  echo "USER_DEFINED_COMPILE_OPTIONS  -- User-defined compile options, added to com/dev_com aliases."
  echo
  echo "USER_DEFINED_ELAB_OPTIONS     -- User-defined elaboration options, added to elab/elab_debug aliases."
}
file_copy
h
